Package org.silverpeas.components.datawarning.service

# Class DataWarningSchedulerImpl

java.lang.Object
org.silverpeas.components.datawarning.service.DataWarningSchedulerImpl

public class DataWarningSchedulerImpl extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DATAWARNING_JOB_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataWarningSchedulerImpl(String instanceId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doDataWarningSchedulerImpl()`
  This method is called periodically by the scheduler, it test for each peas of type DataWarning if associated model contains states with timeout events If so, all the instances of these peas that have the "timeout" states actives are read to check if timeout interval has been reached.
  `void`
  `start()`
  Starts the schedule of the scan and processing of data warning.
  `void`
  `stop()`
  Stops this scheduler.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATAWARNING_JOB_NAME

    public static final String DATAWARNING_JOB_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DataWarningSchedulerImpl

    public DataWarningSchedulerImpl(String instanceId)

- ## Method Details

  - ### start

    public void start()
    Starts the schedule of the scan and processing of data warning.

  - ### stop

    public void stop()
    Stops this scheduler. No scans on data warning will be more performed.

  - ### doDataWarningSchedulerImpl

    public void doDataWarningSchedulerImpl()
    This method is called periodically by the scheduler, it test for each peas of type DataWarning if associated model contains states with timeout events If so, all the instances of these peas that have the "timeout" states actives are read to check if timeout interval has been reached. In that case, the administrator can be notified, the active state and the instance are marked as timeout.